<template>
  <my-modal v-model:open="visible" title="重置密码" :width="450">
    <qm-low-form :params="params" :fields="fields" :label-width="80">
    </qm-low-form>
  </my-modal>
</template>
<script name="ResetPasswordDialog" lang="ts" setup>
import { ref } from "vue";
import { setValueFromObj } from "@/utils/tool";
const visible = defineModel();

const props = defineProps<{ curRow: any }>();
//todo 入参名
const params = ref({
  a: "",
});
params.value = setValueFromObj(params.value, props.curRow);
const fields = ref([
  {
    prop: "a",
    label: "新密码",
    colSpan: 24,
    type: "password",
  },
]);
</script>
<style lang="less" scoped></style>
